import type { NodeViewRenderer, NodeViewProps, NodeViewRendererOptions } from '@tiptap/core';
import type { Decoration } from '@tiptap/pm/view';
import type { Node as ProseMirrorNode } from '@tiptap/pm/model';
import { type Component } from 'svelte';
interface RendererUpdateProps {
    oldNode: ProseMirrorNode;
    oldDecorations: Decoration[];
    newNode: ProseMirrorNode;
    newDecorations: Decoration[];
    updateProps: () => void;
}
export interface SvelteNodeViewRendererOptions extends NodeViewRendererOptions {
    update: ((props: RendererUpdateProps) => boolean) | null;
    as?: string;
}
declare const SvelteNodeViewRenderer: (component: Component<NodeViewProps>, options?: Partial<SvelteNodeViewRendererOptions>) => NodeViewRenderer;
export default SvelteNodeViewRenderer;
